////////////////////////////////////////////////////////////////////////
//
//        File  Name : member.h
//        Class Name : members
//        Author     : Young-ki Hwang
//        Date       : April 30, 1996
//        Description: This is the "members" class definition.
//                     This class is for maintaing the members who are
//                     participating. The members is maintained by the
//                     server. 
//
///////////////////////////////////////////////////////////////////////

#include "pipe.h"
#include "string.h"
#include "server.h"

#ifndef _member_h
#define _member_h

class members  
{
    private:
         struct                 // talbe for members participating
           { int  socketfd;     // sokcet file descritor of the member
             char nickname[15]; // id of the member
             int  readpipe;     // pipe(for read) file descriptor of the member
             int  writepipe;    // pipe(for write) file descriptor of the member
   	     }table[10];
         int top;               // number of members participating currently
         strings string;

    public:
         members();
       	 int insert(server& server1,pipes& pipe1, pipes& pipe2, char *nickname);
         remove(server& server1, char *nickname);
         change_nickname(server& server1, int index, char *new_nickname);
	 int get_numofmember();
         get_nickname(int index, char *nickname);
         int get_sockfd(char *nickname);
         int get_sockfd(int index);
         int get_readpipe(int index);
         int get_writepipe(int index);
	 int check_exist(char *nickname);
};

#endif









