////////////////////////////////////////////////////////////////////////
//
//        File  Name : server.h
//        Class Name : server
//        Author     : Young-ki Hwang
//        Date       : April 30, 1996
//        Description: This is a definition of  "server" class. This 
//                     class inherit from the "socket_type" class.
//                     
//
///////////////////////////////////////////////////////////////////////

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "socket.h"


#ifndef _server_h
#define _server_h

class server : public socket_type
{
  private :
      char  *address;                // server machine IP address
      int   newsockfd;               // new socket file descriptor
      struct sockaddr_in  serv_addr, client_addr;


  public :
      server( char *str);
      initialize();
      ready_connection();
      int make_connection();
      close_oldsocket();
      close_newsocket();
      change_socket();
      int get_newsockfd();
   
};

#endif


