////////////////////////////////////////////////////////////////////////
//
//        File  Name : sokcet.h
//        Class Name : socket_type
//        Author     : Young-ki Hwang
//        Date       : April 30, 1996
//        Description: Socket is the API(Application Program Interfaces)
//                     to the communication protocol. This is the
//                     "socket_type" class definition.
//
///////////////////////////////////////////////////////////////////////


#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "ipc.h"
#include "string.h"




#define   SERVER_PORT    8000      // port address in the server machine
#define   MAX_MSG_SIZE   128       // maximun message size

#ifndef _socket_h
#define _socket_h

class socket_type : public ipc
{
  protected :
    int   sockfd;                  // socket file descriptor to be open
    strings string1;

  public :
     socket_type();                      
    ~socket_type();
    int send(char *buffer);
    int send(int sockfd, char *buffer);
    int receive(char *buffer);
    int receive(int sockfd, char *buffer);
    int get_socketfd();
    close_socket();
};

#endif
